package main

import "fmt"

type User struct {
	First string
	Last  string
}

func (u *User) Reset() {
	*u = User{}
}

func main() {
	u := User{First: "Rob", Last: "Pike"}

	fmt.Println(u)

	u.Reset()

	fmt.Println(u)
}
